﻿* Encoding: UTF-8.

*Homework Syntax*.
*HW6-24 Cal*. 
*Runs on PPIC June 2023 Data*.
*Uses Immig questions*.

weight by weight. 
*DV Immig Questions*.
fre var q32 q33 q34 q35.

*Recode & Relabel Immig Cal Questions*.
recode q32 (1=1) (2=0) into benefit.
value labels benefit 1 'benefit' 0 'burden'.

recode q33 (1=1) (2 =0) into daca.
value labels daca 1 'favor' 0 'oppose'.

recode q34 (1=1) (2=0) into path.
value labels path 1 'favor' 0 'oppose'.

recode q35 (1=1) (2=0) into health.
value labels health 1 'favor' 0 'oppose'.

fre var benefit daca path health
    /statistics = all.

*Constructing an Immigration Index -- alpha = .823*.
compute RawImm4 = (benefit + daca + path + health).

fre var RawImm4
  /statistics =all
  /barchart percent
  
*IVs*.
*IVs gender, ethn,  party, age, educ, income, interest, ideol*.
*Recode & Relabel gender, ethn, age, educ, income interest, party, ideol*.

recode gender (1=0) (2=1) into female.
value labels female 1 'female' 0 'male'.

*Note-not placed on 0-1 metric..
recode race (3=1) (4=2) (else =3) into ethn.
value labels ethn 1 'Latinx' 2 'White' 3 'other'.

recode d1a (1=0) (2= .2) (3= .4) (4=.6) (5=.8) (6=1) into age.
value labels age 0 '18+' .2 '25+' .4 '35+' .6 '45+' .8 '55+' 1 '65+'.

recode educ (1=0) (2=.25) (3=.5) (4=.75) (5=1) into educR.
value labels educR 0 '<hs' .25 'hs' .5 'col' .75 'grad' 1 'post'.

recode d11 (1 =0) (2=.17) (3=.34) (4=.5) (5=.66) (6=.83) (7=1) into income.
value labels income 0 '<$20k' .17 '$20k+' .34 '$40k+' .5 '$60k+' .66 '$80k+' .83 '$100k+' 1 '$200k+' .

recode q76 (1=1) (2=.66) (3=.33) (4=0) into interest.
value labels interest 0 'none' .33 'only a little' .66 'fair amount' 1 'great deal'.

recode q70a (1=1) (2=0) (else = .5) into Dem3.
value labels Dem3 0 'Rep' .5 'Other' 1 'Dem'.

recode q75 (1=1) (2=.75) (3= .5 ) (4=.25) (5= 0) into liberal5. 
value labels liberal5 1 'vlib' .75 'liberal'.5  'middle' .25 'conserv' 0 'vcons'.

recode q75 (1, 2 = 1) (3 = .5) (4, 5 = 0) into lib3.
value labels lib3 1 'lib' .5 'middle' 0 'cons'.

*An additional IV for region*.
recode county (8,12,23,49,1,7,21,28,38,41,43,48,49,44,27,40=1)
(42, 56, 3, 30, 37 = 2) (else = 3) into coastal.
value labels coastal 1 'NorthCent Coast' 2 'South Coast' 3 'Inland'.


*5 Categories Party measure (adapted from from lab 7)*. 
if (q70a = 2) and (q71a =1) Democrat5 =0. 
if (q70a = 2) and (q71a =2) Democrat5 =.25. 
if (q70a = 4) Democrat5 =.5. 
if (q70a=1) and (q71 =2) Democrat5 = .75. 
if (q70a =1) and (q71=1) Democrat5 =1. 
value labels Democrat5 0 'strRep' .25 'Rep' .5 'Indep' .75 'Dem' 1 'strDem'.
fre var q70a Democrat5
      /statistics=all.

*7 Categories Party measure*. 
if (q70a = 2) and (q71a =1) Democrat7 =0. 
if (q70a = 2) and (q71a =2) Democrat7 =.166. 
if ((q70a = 4) or (q70a =8) or (q70a = 9)) and (q71b= 1) Democrat7 =.333.
if (q70a =4) and ((q71b = 3) or (q71 =8) or (q71 = 9)) Democrat7 = .5.
if ((q70a = 4) or (q70a =8) or (q70a = 9)) and (q71b= 2) Democrat7 =.666.
if (q70a=1) and (q71 =2) Democrat7 = .833. 
if (q70a =1) and (q71=1) Democrat7 =1. 
value labels Democrat7 0 'strRep' .166 'Rep' .333 'leanRep' .5 'Indep' .666 'LeanDem' .833 'Dem' 1 'strDem'.
fre var q70a Democrat5 Democrat7
      /statistics=all.

*Analysis-bivariate Correlation.
correlations RawImm4 with age educR income interest Democrat5 Democrat7 Dem3 lib3 liberal5.

*Analysis-Correlation Matrix.
correlations RawImm4 age educR income interest Democrat5 liberal5.

correlations  Dem3 Democrat5 Democrat7 lib3 liberal5.


*Analysis-bivariate regression.
regression variables=RawImm4 Democrat5 
  /dependent =RawImm4 
  /method = enter.

regression variables=RawImm4 liberal5 
  /dependent =RawImm4 
  /method = enter.



*jittering*.
*regression variables=RawImm4 Democrat5 
  /dependent =RawImm4 
  /method = enter
  /scatterplot = (RawImm4 Democrat5).

*COMPUTE Democrat5j = Democrat5 + RV.UNIFORM(-0.15, +0.15).
*COMPUTE RawImm4j = RawImm4 + RV.UNIFORM(-0.15, +0.15).

*regression variables=RawImm4j Democrat5j 
  /dependent =RawImm4j 
  /method = enter
  /scatterplot = (RawImm4j Democrat5j).

